Subject: bug#2463: 23.0.90; tramp: coreutils' base64(1) in tramp-remote-coding-commands?

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 26 Feb 2009 11:15:23 +1100

On Wed, Feb 25, 2009 at 09:28:16AM +0100, Michael Albinus wrote:
> [email-masked] writes:
> > From a mailing list:
>
> Is there a chance to get the full history of the report?

Here, I think.

http://lists.luv.asn.au/wws/arc/luv-main/2009-02/msg00437.html

> > I don't find a reference to the base64 program in
> > tramp-remote-coding-commands.  Is there a reason for this?
>
> No special reason. Likely because it is a rather new command.

Well, FSVO new = February 2006 :-)

> Maybe it is sufficient to apply
>
> (add-to-list 'tramp-remote-coding-commands '(b64 "base64" "base64 --decode"))
>
> If it works, I could add it in Tramp permanently.

It seems to work for me; at least after evaluating that form I can
still open files on a remote host (/ssh:foo:bar) where that host has
base64 installed.